[145538] users/devans/GNOME-3/unstable/dports/net

devans at macports.org devans at macports.org
Mon Feb 8 17:59:10 PST 2016


Revision: 145538
          https://trac.macports.org/changeset/145538
Author:   devans at macports.org
Date:     2016-02-08 17:59:10 -0800 (Mon, 08 Feb 2016)
Log Message:
-----------
GNOME-3/unstable: copy from stable and update to unstable version 0.29.2, update autogen.sh from upstream git, no longer requires gnome-common to build, use gnome unstable livecheck.

Modified Paths:
--------------
    users/devans/GNOME-3/unstable/dports/net/rygel/Portfile
    users/devans/GNOME-3/unstable/dports/net/rygel/files/autogen.sh

Added Paths:
-----------
    users/devans/GNOME-3/unstable/dports/net/rygel/

Modified: users/devans/GNOME-3/unstable/dports/net/rygel/Portfile
===================================================================
--- users/devans/GNOME-3/stable/dports/net/rygel/Portfile	2016-01-20 03:54:13 UTC (rev 144876)
+++ users/devans/GNOME-3/unstable/dports/net/rygel/Portfile	2016-02-09 01:59:10 UTC (rev 145538)
@@ -6,8 +6,7 @@
 PortGroup           gobject_introspection 1.0
 
 name                rygel
-version             0.28.2
-revision            1
+version             0.29.2
 license             GPL-2+
 set branch          [join [lrange [split ${version} .] 0 1] .]
 description         Rygel DLNA media server, renderer
@@ -21,12 +20,11 @@
 
 use_xz              yes
 
-checksums           rmd160  d123c5409c977f07ecf7044ed9ca8cf2b1504f68 \
-                    sha256  9ea23df7186caac5f1aad3137edf6d507d339b9a469fc3133df4043fa66b61f5
+checksums           rmd160  028129afd188337a475b5435075675b49d95a378 \
+                    sha256  2177df97f7f5eca4bfbf1f410510865c6c6c8ef8da2c1199581e0659093faace
 
 depends_build       port:pkgconfig \
                     port:intltool \
-                    port:gnome-common \
                     port:autoconf \
                     port:automake \
                     port:libtool
@@ -70,4 +68,4 @@
     system "${prefix}/bin/update-desktop-database ${prefix}/share/applications"
 }
 
-livecheck.type      gnome
+livecheck.type      gnome-with-unstable

Modified: users/devans/GNOME-3/unstable/dports/net/rygel/files/autogen.sh
===================================================================
--- users/devans/GNOME-3/stable/dports/net/rygel/files/autogen.sh	2016-01-20 03:54:13 UTC (rev 144876)
+++ users/devans/GNOME-3/unstable/dports/net/rygel/files/autogen.sh	2016-02-09 01:59:10 UTC (rev 145538)
@@ -1,34 +1,6 @@
-#! /bin/sh
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
 
-# Copyright (C) 2010 Zeeshan Ali (Khattak) <zeeshanak at gnome.org>.
-# Copyright (C) 2011 Jens Georg <mail at jensge.org>.
-# Copyright (C) 2012 Openismus GmbH.
-#
-# Author: Zeeshan Ali (Khattak) <zeeshanak at gnome.org>
-#         Jens Georg <mail at jensge.org>
-#         Murray Cumming <murrayc at openismus.com>
-#
-# This file is part of Rygel.
-#
-# Rygel is free software; you can redistribute it and/or modify
-# it under the terms of the GNU Lesser General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# Rygel is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU Lesser General Public License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public License
-# along with this program; if not, write to the Free Software Foundation,
-# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from the GNOME git"
-    exit 1
-}
-
 DEFAULT_ARGS="--enable-vala --enable-maintainer-mode  --enable-debug  --enable-example-plugins --enable-mediathek-plugin --enable-gst-launch-plugin --disable-strict-valac"
 
 mkdir -p m4
@@ -41,9 +13,40 @@
     shift
 fi
 
-# require automake 1.11 for vala support
-REQUIRED_AUTOMAKE_VERSION=1.11 \
-REQUIRED_AUTOCONF_VERSION=2.64 \
-REQUIRED_LIBTOOL_VERSION=2.2.6 \
-REQUIRED_INTLTOOL_VERSION=0.40.0 \
-. gnome-autogen.sh $DEFAULT_ARGS "$@"
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+
+olddir=`pwd`
+
+cd $srcdir
+
+(test -f configure.ac) || {
+        echo "*** ERROR: Directory "\`$srcdir\'" does not look like the top-level project directory ***"
+        exit 1
+}
+
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
+        echo "*** If you wish to pass any to it, please specify them on the" >&2
+        echo "*** \`$0' command line." >&2
+        echo "" >&2
+fi
+
+aclocal --install || exit 1
+glib-gettextize --force --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+
+cd $olddir
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure $DEFAULT_ARGS "$@" || exit 1
+
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20160208/7c0e9ab3/attachment.html>


More information about the macports-changes mailing list